package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.THighpresfireMapper;
import com.ruoyi.project.ehs.domain.THighpresfire;
import com.ruoyi.project.ehs.service.ITHighpresfireService;

import javax.annotation.Resource;

/**
 * 高压消防炮Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-25
 */
@Service
public class THighpresfireServiceImpl implements ITHighpresfireService
{
    @Resource
    private THighpresfireMapper tHighpresfireMapper;

    /**
     * 查询高压消防炮
     *
     * @param id 高压消防炮ID
     * @return 高压消防炮
     */
    @Override
    public THighpresfire selectTHighpresfireById(Long id)
    {
        return tHighpresfireMapper.selectTHighpresfireById(id);
    }

    /**
     * 查询高压消防炮列表
     *
     * @param tHighpresfire 高压消防炮
     * @return 高压消防炮
     */
    @Override
    public List<THighpresfire> selectTHighpresfireList(THighpresfire tHighpresfire)
    {
        return tHighpresfireMapper.selectTHighpresfireList(tHighpresfire);
    }

    /**
     * 定时任务查询高压消防炮列表
     *
     * @param tHighpresfire 高压消防炮
     * @return 高压消防炮集合
     */
    @Override
    public List<THighpresfire> selectList(THighpresfire tHighpresfire) {
        return tHighpresfireMapper.selectList(tHighpresfire);
    }

    /**
     * 新增高压消防炮
     *
     * @param tHighpresfire 高压消防炮
     * @return 结果
     */
    @Override
    public int insertTHighpresfire(THighpresfire tHighpresfire)
    {
        return tHighpresfireMapper.insertTHighpresfire(tHighpresfire);
    }

    /**
     * 修改高压消防炮
     *
     * @param tHighpresfire 高压消防炮
     * @return 结果
     */
    @Override
    public int updateTHighpresfire(THighpresfire tHighpresfire)
    {
        return tHighpresfireMapper.updateTHighpresfire(tHighpresfire);
    }

    /**
     * 批量删除高压消防炮
     *
     * @param ids 需要删除的高压消防炮ID
     * @return 结果
     */
    @Override
    public int deleteTHighpresfireByIds(Long[] ids)
    {
        return tHighpresfireMapper.deleteTHighpresfireByIds(ids);
    }

    /**
     * 删除高压消防炮信息
     *
     * @param id 高压消防炮ID
     * @return 结果
     */
    @Override
    public int deleteTHighpresfireById(Long id)
    {
        return tHighpresfireMapper.deleteTHighpresfireById(id);
    }
}
